// Copyright 2019  github.com. All rights reserved.
// Use of this source code is governed by  github.com.
package v1

import (
	"smart-government-management-gateway/param/base"
)

type ApproveBody struct {
	Id int64 `form:"id"`
	Status bool `form:"status"`
	Feedback string `form:"feedback"`
	// 0 设备类型申请审批 1 设备类型对接审批
	ApproveType int `form:"approve_type"`
	Reviewer string `form:"reviewer"`
}

type ApproveRequest struct {
	base.Header
	ApproveBody
}

type ApproveResponse struct {
	base.Result
}
